package com.ruoyi.activiti.mapper;

import java.util.List;
import com.ruoyi.activiti.domain.BizSalaryReport;

/**
 * 工资报送审批Mapper接口
 *
 * @author ruoyi
 * @date 2021-11-17
 */
public interface BizSalaryReportMapper
{
    /**
     * 查询工资报送审批
     *
     * @param id 工资报送审批ID
     * @return 工资报送审批
     */
    public BizSalaryReport selectBizSalaryReportById(Long id);

    /**
     * 查询工资报送审批列表
     *
     * @param bizSalaryReport 工资报送审批
     * @return 工资报送审批集合
     */
    public List<BizSalaryReport> selectBizSalaryReportList(BizSalaryReport bizSalaryReport);

    /**
     * 新增工资报送审批
     *
     * @param bizSalaryReport 工资报送审批
     * @return 结果
     */
    public int insertBizSalaryReport(BizSalaryReport bizSalaryReport);

    /**
     * 修改工资报送审批
     *
     * @param bizSalaryReport 工资报送审批
     * @return 结果
     */
    public int updateBizSalaryReport(BizSalaryReport bizSalaryReport);

    /**
     * 删除工资报送审批
     *
     * @param id 工资报送审批ID
     * @return 结果
     */
    public int deleteBizSalaryReportById(Long id);

    /**
     * 批量删除工资报送审批
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteBizSalaryReportByIds(Long[] ids);
}